Get agent execution

Returns a single agent execution by id.

get
https://{your-bynder-domain}/api/1/agent/executions/{id}

Path Parameters

idstring(uuid)required

Id of the agent execution

Response

application/json

Agent execution

Execution

An agent execution.

idstring(uuid)
statusstring

Allowed values:RUNNINGACTION_REQUIREDCOMPLETED

agentIdstring | null(uuid)
agentNamestring
assetCountinteger | null
createdAtstring(date-time)
modifiedAtstring(date-time)
assetStatusCountsobject

Number of asset executions per status.

ranByobject | null

Who started the execution: a user or an automation rule.

Show Child Parameters
accountIdstring(uuid)
workspaceBatchIdstring | null(uuid)
agentCapabilitystring | null

Allowed values:ENRICHMENT_AGENTTRANSFORMATION_AGENTBRAND_COMPLIANCE_AGENTGOVERNANCE_AGENTPATH_GENERATOR_AGENT

get/api/1/agent/executions/{id}
 
application/json

Cancel agent execution

Cancels an agent execution that have not finished yet.

post
https://{your-bynder-domain}/api/1/agent/executions/{id}/cancel

Path Parameters

idstring(uuid)required

Id of the agent execution

Response

Cancellation processed (or nothing to cancel)

post/api/1/agent/executions/{id}/cancel
 

List asset executions for an agent execution

Returns the per-asset executions belonging to an agent execution, paginated.

get
https://{your-bynder-domain}/api/1/agent/executions/{id}/asset-executions

Query Parameters

statusesarray[string]

Only return asset executions with these statuses.

Allowed values:SCHEDULEDRUNNINGFAILEDCOMPLETEDACCEPTEDAUTO_APPLIEDDISCARDEDCANCELEDREVERTED

startstring(uuid)

Cursor from the previous page’s nextPage. Omit for the first page.

limitinteger

Default:20

>= 1<= 100

sortstring

Default:-modifiedAt

Path Parameters

idstring(uuid)required

Id of the agent execution

Response

application/json

Paginated list of asset executions

PaginatedAssetExecutions

A page of asset executions. metadata.nextPage is a query string to add to the same request URL, or null on the last page.

itemsarray[object]

The execution of an agent on a single asset, including capability-specific results (for example, suggestions for the enrichment capability).

Show Child Parameters
metadataobject
Show Child Parameters
get/api/1/agent/executions/{id}/asset-executions
 
application/json

Get a single asset execution

Returns a single asset execution belonging to an agent execution.

get
https://{your-bynder-domain}/api/1/agent/executions/{id}/asset-executions/{assetExecutionId}

Path Parameters

idstring(uuid)required

Id of the agent execution

assetExecutionIdstring(uuid)required

Id of the asset execution, scoped to its parent agent execution

Response

application/json

Asset execution

AssetExecution

The execution of an agent on a single asset, including capability-specific results (for example, suggestions for the enrichment capability).

idstring(uuid)
agentExecutionIdstring(uuid)
assetIdstring(uuid)
statusstring

The status of the asset execution.

Allowed values:SCHEDULEDRUNNINGFAILEDCOMPLETEDACCEPTEDAUTO_APPLIEDDISCARDEDCANCELEDREVERTED

createdAtstring(date-time)
resultsobject
* Additional properties are allowed.
assetNamestring | null
draftboolean
removedboolean
errorCodestring | null
agentTypestring | null

Allowed values:ENRICHMENT_AGENTTRANSFORMATION_AGENTBRAND_COMPLIANCE_AGENTGOVERNANCE_AGENTPATH_GENERATOR_AGENT

thumbnailobject | null
Show Child Parameters
get/api/1/agent/executions/{id}/asset-executions/{assetExecutionId}
 
application/json

Enrichment

Review the metadata suggestions produced by the Enrichment agent for the assets of an agent execution.